Loading...
Searching...
No Matches
ID3D12GraphicsCommandListVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (ID3D12GraphicsCommandList *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12GraphicsCommandList _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)
| void (STDMETHODCALLTYPE *ClearState)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *DrawInstanced)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *DrawIndexedInstanced)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *Dispatch)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *CopyBufferRegion)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *CopyTextureRegion)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *CopyResource)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *CopyTiles)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *ResolveSubresource)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *IASetPrimitiveTopology)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *RSSetViewports)(ID3D12GraphicsCommandList *This
| _In_range_ (0, D3D12_VIEWPORT_AND_SCISSORRECT_OBJECT_COUNT_PER_PIPELINE) UINT NumViewports
| _In_reads_ (NumViewports) const D3D12_VIEWPORT *pViewports)
| void (STDMETHODCALLTYPE *RSSetScissorRects)(ID3D12GraphicsCommandList *This
| _In_range_ (0, D3D12_VIEWPORT_AND_SCISSORRECT_OBJECT_COUNT_PER_PIPELINE) UINT NumRects
| _In_reads_ (NumRects) const D3D12_RECT *pRects)
| void (STDMETHODCALLTYPE *OMSetBlendFactor)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *OMSetStencilRef)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetPipelineState)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *ResourceBarrier)(ID3D12GraphicsCommandList *This
_In_ UINT | _In_reads_ (NumBarriers) const D3D12_RESOURCE_BARRIER *pBarriers)
| void (STDMETHODCALLTYPE *ExecuteBundle)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetDescriptorHeaps)(ID3D12GraphicsCommandList *This
_In_ UINT | _In_reads_ (NumDescriptorHeaps) ID3D12DescriptorHeap *const *ppDescriptorHeaps)
| void (STDMETHODCALLTYPE *SetComputeRootSignature)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetGraphicsRootSignature)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetComputeRootDescriptorTable)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetGraphicsRootDescriptorTable)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetComputeRoot32BitConstant)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetGraphicsRoot32BitConstant)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetComputeRoot32BitConstants)(ID3D12GraphicsCommandList *This
_In_ UINT _In_ UINT | _In_reads_ (Num32BitValuesToSet *sizeof(UINT)) const void *pSrcData
| void (STDMETHODCALLTYPE *SetGraphicsRoot32BitConstants)(ID3D12GraphicsCommandList *This
_In_ UINT _In_ UINT | _In_reads_ (Num32BitValuesToSet *sizeof(UINT)) const void *pSrcData
| void (STDMETHODCALLTYPE *SetComputeRootConstantBufferView)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetGraphicsRootConstantBufferView)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetComputeRootShaderResourceView)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetGraphicsRootShaderResourceView)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetComputeRootUnorderedAccessView)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetGraphicsRootUnorderedAccessView)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *IASetIndexBuffer)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *IASetVertexBuffers)(ID3D12GraphicsCommandList *This
_In_ UINT _In_ UINT | _In_reads_opt_ (NumViews) const D3D12_VERTEX_BUFFER_VIEW *pViews)
| void (STDMETHODCALLTYPE *SOSetTargets)(ID3D12GraphicsCommandList *This
_In_ UINT _In_ UINT | _In_reads_opt_ (NumViews) const D3D12_STREAM_OUTPUT_BUFFER_VIEW *pViews)
| void (STDMETHODCALLTYPE *OMSetRenderTargets)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *ClearDepthStencilView)(ID3D12GraphicsCommandList *This
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT _In_ UINT8 _In_ UINT | _In_reads_ (NumRects) const D3D12_RECT *pRects)
| void (STDMETHODCALLTYPE *ClearRenderTargetView)(ID3D12GraphicsCommandList *This
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ const FLOAT _In_ UINT | _In_reads_ (NumRects) const D3D12_RECT *pRects)
| void (STDMETHODCALLTYPE *ClearUnorderedAccessViewUint)(ID3D12GraphicsCommandList *This
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const UINT _In_ UINT | _In_reads_ (NumRects) const D3D12_RECT *pRects)
| void (STDMETHODCALLTYPE *ClearUnorderedAccessViewFloat)(ID3D12GraphicsCommandList *This
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const FLOAT _In_ UINT | _In_reads_ (NumRects) const D3D12_RECT *pRects)
| void (STDMETHODCALLTYPE *DiscardResource)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *BeginQuery)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *EndQuery)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *ResolveQueryData)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetPredication)(ID3D12GraphicsCommandList *This
| void (STDMETHODCALLTYPE *SetMarker)(ID3D12GraphicsCommandList *This
UINT | _In_reads_bytes_opt_ (Size) const void *pData
| void (STDMETHODCALLTYPE *BeginEvent)(ID3D12GraphicsCommandList *This
UINT | _In_reads_bytes_opt_ (Size) const void *pData
| void (STDMETHODCALLTYPE *EndEvent)(ID3D12GraphicsCommandList *This)
| void (STDMETHODCALLTYPE *ExecuteIndirect)(ID3D12GraphicsCommandList *This

## Public Attributes

ID3D12GraphicsCommandList * | This
ID3D12GraphicsCommandList _In_ REFGUID | guid
ID3D12GraphicsCommandList _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12GraphicsCommandList _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12GraphicsCommandList _In_ REFGUID _In_ UINT | DataSize
ID3D12GraphicsCommandList _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12GraphicsCommandList _In_z_ LPCWSTR | Name
ID3D12GraphicsCommandList REFIID | riid
ID3D12GraphicsCommandList REFIID _COM_Outptr_opt_ void ** | ppvDevice
ID3D12GraphicsCommandList _In_ ID3D12CommandAllocator * | pAllocator
ID3D12GraphicsCommandList _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState * | pInitialState
_In_opt_ ID3D12PipelineState * | pPipelineState
_In_ UINT | VertexCountPerInstance
_In_ UINT _In_ UINT | InstanceCount
_In_ UINT _In_ UINT _In_ UINT | StartVertexLocation
_In_ UINT _In_ UINT _In_ UINT _In_ UINT | StartInstanceLocation
_In_ UINT | IndexCountPerInstance
_In_ UINT _In_ UINT _In_ UINT | StartIndexLocation
_In_ UINT _In_ UINT _In_ UINT _In_ INT | BaseVertexLocation
_In_ UINT _In_ UINT _In_ UINT _In_ INT _In_ UINT | StartInstanceLocation
_In_ UINT | ThreadGroupCountX
_In_ UINT _In_ UINT | ThreadGroupCountY
_In_ UINT _In_ UINT _In_ UINT | ThreadGroupCountZ
_In_ ID3D12Resource * | pDstBuffer
_In_ ID3D12Resource UINT64 | DstOffset
_In_ ID3D12Resource UINT64 _In_ ID3D12Resource * | pSrcBuffer
_In_ ID3D12Resource UINT64 _In_ ID3D12Resource UINT64 | SrcOffset
_In_ ID3D12Resource UINT64 _In_ ID3D12Resource UINT64 UINT64 | NumBytes
_In_ const D3D12_TEXTURE_COPY_LOCATION * | pDst
_In_ const D3D12_TEXTURE_COPY_LOCATION UINT | DstX
_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT | DstY
_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT UINT | DstZ
_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT UINT _In_ const D3D12_TEXTURE_COPY_LOCATION * | pSrc
_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT UINT _In_ const D3D12_TEXTURE_COPY_LOCATION _In_opt_ const D3D12_BOX * | pSrcBox
_In_ ID3D12Resource * | pDstResource
_In_ ID3D12Resource _In_ ID3D12Resource * | pSrcResource
_In_ ID3D12Resource * | pTiledResource
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE * | pTileRegionStartCoordinate
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE * | pTileRegionSize
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE _In_ ID3D12Resource * | pBuffer
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE _In_ ID3D12Resource UINT64 | BufferStartOffsetInBytes
_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE _In_ ID3D12Resource UINT64 D3D12_TILE_COPY_FLAGS | Flags
_In_ ID3D12Resource _In_ UINT | DstSubresource
_In_ ID3D12Resource _In_ UINT _In_ ID3D12Resource * | pSrcResource
_In_ ID3D12Resource _In_ UINT _In_ ID3D12Resource _In_ UINT | SrcSubresource
_In_ ID3D12Resource _In_ UINT _In_ ID3D12Resource _In_ UINT _In_ DXGI_FORMAT | Format
_In_ D3D12_PRIMITIVE_TOPOLOGY | PrimitiveTopology
_In_opt_ const FLOAT | BlendFactor [4]
_In_ UINT | StencilRef
_In_ ID3D12PipelineState * | pPipelineState
_In_ UINT | NumBarriers
_In_ ID3D12GraphicsCommandList * | pCommandList
_In_ UINT | NumDescriptorHeaps
_In_opt_ ID3D12RootSignature * | pRootSignature
_In_ UINT | RootParameterIndex
_In_ UINT _In_ D3D12_GPU_DESCRIPTOR_HANDLE | BaseDescriptor
_In_ UINT _In_ UINT | SrcData
_In_ UINT _In_ UINT _In_ UINT | DestOffsetIn32BitValues
_In_ UINT _In_ UINT | Num32BitValuesToSet
_In_ UINT _In_ D3D12_GPU_VIRTUAL_ADDRESS | BufferLocation
_In_opt_ const D3D12_INDEX_BUFFER_VIEW * | pView
_In_ UINT | StartSlot
_In_ UINT _In_ UINT | NumViews
_In_ UINT | NumRenderTargetDescriptors
_In_ UINT _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE * | pRenderTargetDescriptors
_In_ UINT _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE _In_ BOOL | RTsSingleHandleToDescriptorRange
_In_ UINT _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE _In_ BOOL _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE * | pDepthStencilDescriptor
_In_ D3D12_CPU_DESCRIPTOR_HANDLE | DepthStencilView
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS | ClearFlags
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT | Depth
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT _In_ UINT8 | Stencil
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT _In_ UINT8 _In_ UINT | NumRects
_In_ D3D12_CPU_DESCRIPTOR_HANDLE | RenderTargetView
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ const FLOAT | ColorRGBA [4]
_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ const FLOAT _In_ UINT | NumRects
_In_ D3D12_GPU_DESCRIPTOR_HANDLE | ViewGPUHandleInCurrentHeap
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE | ViewCPUHandle
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource * | pResource
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const UINT | Values [4]
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const UINT _In_ UINT | NumRects
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const FLOAT | Values [4]
_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const FLOAT _In_ UINT | NumRects
_In_ ID3D12Resource * | pResource
_In_ ID3D12Resource _In_opt_ const D3D12_DISCARD_REGION * | pRegion
_In_ ID3D12QueryHeap * | pQueryHeap
_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE | Type
_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT | Index
_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT | StartIndex
_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT _In_ UINT | NumQueries
_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT _In_ UINT _In_ ID3D12Resource * | pDestinationBuffer
_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT _In_ UINT _In_ ID3D12Resource _In_ UINT64 | AlignedDestinationBufferOffset
_In_opt_ ID3D12Resource * | pBuffer
_In_opt_ ID3D12Resource _In_ UINT64 | AlignedBufferOffset
_In_opt_ ID3D12Resource _In_ UINT64 _In_ D3D12_PREDICATION_OP | Operation
UINT | Metadata
UINT UINT | Size
_In_ ID3D12CommandSignature * | pCommandSignature
_In_ ID3D12CommandSignature _In_ UINT | MaxCommandCount
_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource * | pArgumentBuffer
_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource _In_ UINT64 | ArgumentBufferOffset
_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource _In_ UINT64 _In_opt_ ID3D12Resource * | pCountBuffer
_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource _In_ UINT64 _In_opt_ ID3D12Resource _In_ UINT64 | CountBufferOffset

## Detailed Description

Definition at line 3789 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

ID3D12GraphicsCommandListVtbl::BEGIN_INTERFACE | ( | ID3D12GraphicsCommandList * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_opt_() [1/3]

ID3D12GraphicsCommandList _In_ REFGUID _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

References _In_, DataSize, guid, pData, REFGUID, STDMETHODCALLTYPE, and This.

## void() [1/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ClearState | ) |

References STDMETHODCALLTYPE, and This.

## void() [2/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | DrawInstanced | ) |

References STDMETHODCALLTYPE, and This.

## void() [3/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | DrawIndexedInstanced | ) |

References STDMETHODCALLTYPE, and This.

## void() [4/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | Dispatch | ) |

References STDMETHODCALLTYPE, and This.

## void() [5/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | CopyBufferRegion | ) |

References STDMETHODCALLTYPE, and This.

## void() [6/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | CopyTextureRegion | ) |

References STDMETHODCALLTYPE, and This.

## void() [7/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | CopyResource | ) |

References STDMETHODCALLTYPE, and This.

## void() [8/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | CopyTiles | ) |

References STDMETHODCALLTYPE, and This.

## void() [9/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ResolveSubresource | ) |

References _In_, pDstResource, STDMETHODCALLTYPE, and This.

## void() [10/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | IASetPrimitiveTopology | ) |

References STDMETHODCALLTYPE, and This.

## void() [11/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | RSSetViewports | ) |

References STDMETHODCALLTYPE, and This.

## _In_range_() [1/2]

ID3D12GraphicsCommandListVtbl::_In_range_ | ( | 0 | ,
|  | D3D12_VIEWPORT_AND_SCISSORRECT_OBJECT_COUNT_PER_PIPELINE | )

References D3D12_VIEWPORT_AND_SCISSORRECT_OBJECT_COUNT_PER_PIPELINE.

## _In_reads_() [1/10]

ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumViewports |  | ) | const

## void() [12/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | RSSetScissorRects | ) |

References STDMETHODCALLTYPE, and This.

## _In_range_() [2/2]

ID3D12GraphicsCommandListVtbl::_In_range_ | ( | 0 | ,
|  | D3D12_VIEWPORT_AND_SCISSORRECT_OBJECT_COUNT_PER_PIPELINE | )

References D3D12_VIEWPORT_AND_SCISSORRECT_OBJECT_COUNT_PER_PIPELINE, and NumRects.

## _In_reads_() [2/10]

ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumRects |  | ) | const

References NumRects.

## void() [13/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | OMSetBlendFactor | ) |

References STDMETHODCALLTYPE, and This.

## void() [14/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | OMSetStencilRef | ) |

References STDMETHODCALLTYPE, and This.

## void() [15/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetPipelineState | ) |

References STDMETHODCALLTYPE, and This.

## void() [16/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ResourceBarrier | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_() [3/10]

_In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumBarriers |  | ) | const

References NumBarriers.

## void() [17/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ExecuteBundle | ) |

References STDMETHODCALLTYPE, and This.

## void() [18/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetDescriptorHeaps | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_() [4/10]

_In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumDescriptorHeaps |  | ) | const

References NumDescriptorHeaps.

## void() [19/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetComputeRootSignature | ) |

References STDMETHODCALLTYPE, and This.

## void() [20/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetGraphicsRootSignature | ) |

References _In_opt_, pRootSignature, STDMETHODCALLTYPE, and This.

## void() [21/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetComputeRootDescriptorTable | ) |

References STDMETHODCALLTYPE, and This.

## void() [22/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetGraphicsRootDescriptorTable | ) |

References _In_, BaseDescriptor, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [23/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetComputeRoot32BitConstant | ) |

References _In_, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [24/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetGraphicsRoot32BitConstant | ) |

References _In_, DestOffsetIn32BitValues, RootParameterIndex, SrcData, STDMETHODCALLTYPE, and This.

## void() [25/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetComputeRoot32BitConstants | ) |

References _In_, RootParameterIndex, STDMETHODCALLTYPE, and This.

## _In_reads_() [5/10]

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | Num32BitValuesToSet * | sizeofUINT | ) | const

References _In_, DestOffsetIn32BitValues, and Num32BitValuesToSet.

## void() [26/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetGraphicsRoot32BitConstants | ) |

References _In_, Num32BitValuesToSet, RootParameterIndex, STDMETHODCALLTYPE, and This.

## _In_reads_() [6/10]

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | Num32BitValuesToSet * | sizeofUINT | ) | const

References _In_, DestOffsetIn32BitValues, and Num32BitValuesToSet.

## void() [27/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetComputeRootConstantBufferView | ) |

References _In_, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [28/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetGraphicsRootConstantBufferView | ) |

References _In_, BufferLocation, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [29/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetComputeRootShaderResourceView | ) |

References _In_, BufferLocation, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [30/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetGraphicsRootShaderResourceView | ) |

References _In_, BufferLocation, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [31/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetComputeRootUnorderedAccessView | ) |

References _In_, BufferLocation, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [32/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetGraphicsRootUnorderedAccessView | ) |

References _In_, BufferLocation, RootParameterIndex, STDMETHODCALLTYPE, and This.

## void() [33/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | IASetIndexBuffer | ) |

References STDMETHODCALLTYPE, and This.

## void() [34/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | IASetVertexBuffers | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_opt_() [1/2]

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_opt_ | ( | NumViews |  | ) | const

References NumViews.

## void() [35/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SOSetTargets | ) |

References _In_, NumViews, StartSlot, STDMETHODCALLTYPE, and This.

## _In_reads_opt_() [2/2]

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_opt_ | ( | NumViews |  | ) | const

References NumViews.

## void() [36/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | OMSetRenderTargets | ) |

References STDMETHODCALLTYPE, and This.

## void() [37/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ClearDepthStencilView | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_() [7/10]

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT _In_ UINT8 _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumRects |  | ) | const

References NumRects.

## void() [38/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ClearRenderTargetView | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_() [8/10]

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ const FLOAT _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumRects |  | ) | const

References NumRects.

## void() [39/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ClearUnorderedAccessViewUint | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_() [9/10]

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const UINT _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumRects |  | ) | const

References NumRects.

## void() [40/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ClearUnorderedAccessViewFloat | ) |

References _In_, pResource, STDMETHODCALLTYPE, This, ViewCPUHandle, and ViewGPUHandleInCurrentHeap.

## _In_reads_() [10/10]

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const FLOAT _In_ UINT ID3D12GraphicsCommandListVtbl::_In_reads_ | ( | NumRects |  | ) | const

References NumRects.

## void() [41/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | DiscardResource | ) |

References STDMETHODCALLTYPE, and This.

## void() [42/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | BeginQuery | ) |

References STDMETHODCALLTYPE, and This.

## void() [43/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | EndQuery | ) |

References _In_, Index, pQueryHeap, STDMETHODCALLTYPE, This, and Type.

## void() [44/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ResolveQueryData | ) |

References _In_, pQueryHeap, STDMETHODCALLTYPE, This, and Type.

## void() [45/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetPredication | ) |

References STDMETHODCALLTYPE, and This.

## void() [46/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | SetMarker | ) |

References STDMETHODCALLTYPE, and This.

## _In_reads_bytes_opt_() [2/3]

UINT ID3D12GraphicsCommandListVtbl::_In_reads_bytes_opt_ | ( | Size |  | ) | const

References pData, and Size.

## void() [47/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | BeginEvent | ) |

References Metadata, STDMETHODCALLTYPE, and This.

## _In_reads_bytes_opt_() [3/3]

UINT ID3D12GraphicsCommandListVtbl::_In_reads_bytes_opt_ | ( | Size |  | ) | const

References pData, and Size.

## void() [48/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | EndEvent | ) |

References STDMETHODCALLTYPE, and This.

## void() [49/49]

ID3D12GraphicsCommandListVtbl::void | ( | STDMETHODCALLTYPE * | ExecuteIndirect | ) |

References STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

ID3D12GraphicsCommandList * ID3D12GraphicsCommandListVtbl::This

Definition at line 3800 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_(), BEGIN_INTERFACE(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## guid

ID3D12GraphicsCommandList _In_ REFGUID ID3D12GraphicsCommandListVtbl::guid

Definition at line 3809 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pDataSize

ID3D12GraphicsCommandList _In_ REFGUID _Inout_ UINT* ID3D12GraphicsCommandListVtbl::pDataSize

Definition at line 3810 of file mini_d3d12.h.

## pData [1/2]

ID3D12GraphicsCommandList _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12GraphicsCommandListVtbl::pData

Definition at line 3811 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_(), and _In_reads_bytes_opt_().

## DataSize

ID3D12GraphicsCommandList _In_ REFGUID _In_ UINT ID3D12GraphicsCommandListVtbl::DataSize

Definition at line 3817 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pData [2/2]

ID3D12GraphicsCommandList _In_ REFGUID _In_opt_ const IUnknown* ID3D12GraphicsCommandListVtbl::pData

Definition at line 3824 of file mini_d3d12.h.

## Name

ID3D12GraphicsCommandList _In_z_ LPCWSTR ID3D12GraphicsCommandListVtbl::Name

Definition at line 3829 of file mini_d3d12.h.

## riid

ID3D12GraphicsCommandList REFIID ID3D12GraphicsCommandListVtbl::riid

Definition at line 3834 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppvDevice

ID3D12GraphicsCommandList REFIID _COM_Outptr_opt_ void** ID3D12GraphicsCommandListVtbl::ppvDevice

Definition at line 3835 of file mini_d3d12.h.

## pAllocator

ID3D12GraphicsCommandList _In_ ID3D12CommandAllocator* ID3D12GraphicsCommandListVtbl::pAllocator

Definition at line 3848 of file mini_d3d12.h.

## pInitialState

ID3D12GraphicsCommandList _In_ ID3D12CommandAllocator _In_opt_ ID3D12PipelineState* ID3D12GraphicsCommandListVtbl::pInitialState

Definition at line 3849 of file mini_d3d12.h.

## pPipelineState [1/2]

_In_opt_ ID3D12PipelineState* ID3D12GraphicsCommandListVtbl::pPipelineState

Definition at line 3853 of file mini_d3d12.h.

## VertexCountPerInstance

_In_ UINT ID3D12GraphicsCommandListVtbl::VertexCountPerInstance

Definition at line 3857 of file mini_d3d12.h.

## InstanceCount

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::InstanceCount

Definition at line 3858 of file mini_d3d12.h.

## StartVertexLocation

_In_ UINT _In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::StartVertexLocation

Definition at line 3859 of file mini_d3d12.h.

## StartInstanceLocation [1/2]

_In_ UINT _In_ UINT _In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::StartInstanceLocation

Definition at line 3860 of file mini_d3d12.h.

## IndexCountPerInstance

_In_ UINT ID3D12GraphicsCommandListVtbl::IndexCountPerInstance

Definition at line 3864 of file mini_d3d12.h.

## StartIndexLocation

_In_ UINT _In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::StartIndexLocation

Definition at line 3866 of file mini_d3d12.h.

## BaseVertexLocation

_In_ UINT _In_ UINT _In_ UINT _In_ INT ID3D12GraphicsCommandListVtbl::BaseVertexLocation

Definition at line 3867 of file mini_d3d12.h.

## StartInstanceLocation [2/2]

_In_ UINT _In_ UINT _In_ UINT _In_ INT _In_ UINT ID3D12GraphicsCommandListVtbl::StartInstanceLocation

Definition at line 3868 of file mini_d3d12.h.

## ThreadGroupCountX

_In_ UINT ID3D12GraphicsCommandListVtbl::ThreadGroupCountX

Definition at line 3872 of file mini_d3d12.h.

## ThreadGroupCountY

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::ThreadGroupCountY

Definition at line 3873 of file mini_d3d12.h.

## ThreadGroupCountZ

_In_ UINT _In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::ThreadGroupCountZ

Definition at line 3874 of file mini_d3d12.h.

## pDstBuffer

_In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pDstBuffer

Definition at line 3878 of file mini_d3d12.h.

## DstOffset

_In_ ID3D12Resource UINT64 ID3D12GraphicsCommandListVtbl::DstOffset

Definition at line 3879 of file mini_d3d12.h.

## pSrcBuffer

_In_ ID3D12Resource UINT64 _In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pSrcBuffer

Definition at line 3880 of file mini_d3d12.h.

## SrcOffset

_In_ ID3D12Resource UINT64 _In_ ID3D12Resource UINT64 ID3D12GraphicsCommandListVtbl::SrcOffset

Definition at line 3881 of file mini_d3d12.h.

## NumBytes

_In_ ID3D12Resource UINT64 _In_ ID3D12Resource UINT64 UINT64 ID3D12GraphicsCommandListVtbl::NumBytes

Definition at line 3882 of file mini_d3d12.h.

## pDst

_In_ const D3D12_TEXTURE_COPY_LOCATION* ID3D12GraphicsCommandListVtbl::pDst

Definition at line 3886 of file mini_d3d12.h.

## DstX

_In_ const D3D12_TEXTURE_COPY_LOCATION UINT ID3D12GraphicsCommandListVtbl::DstX

Definition at line 3887 of file mini_d3d12.h.

## DstY

_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT ID3D12GraphicsCommandListVtbl::DstY

Definition at line 3888 of file mini_d3d12.h.

## DstZ

_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT UINT ID3D12GraphicsCommandListVtbl::DstZ

Definition at line 3889 of file mini_d3d12.h.

## pSrc

_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT UINT _In_ const D3D12_TEXTURE_COPY_LOCATION* ID3D12GraphicsCommandListVtbl::pSrc

Definition at line 3890 of file mini_d3d12.h.

## pSrcBox

_In_ const D3D12_TEXTURE_COPY_LOCATION UINT UINT UINT _In_ const D3D12_TEXTURE_COPY_LOCATION _In_opt_ const D3D12_BOX* ID3D12GraphicsCommandListVtbl::pSrcBox

Definition at line 3891 of file mini_d3d12.h.

## pDstResource

_In_ ID3D12Resource * ID3D12GraphicsCommandListVtbl::pDstResource

Definition at line 3895 of file mini_d3d12.h.

Referenced by void().

## pSrcResource [1/2]

_In_ ID3D12Resource _In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pSrcResource

Definition at line 3896 of file mini_d3d12.h.

## pTiledResource

_In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pTiledResource

Definition at line 3900 of file mini_d3d12.h.

## pTileRegionStartCoordinate

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE* ID3D12GraphicsCommandListVtbl::pTileRegionStartCoordinate

Definition at line 3901 of file mini_d3d12.h.

## pTileRegionSize

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE* ID3D12GraphicsCommandListVtbl::pTileRegionSize

Definition at line 3902 of file mini_d3d12.h.

## pBuffer [1/2]

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE _In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pBuffer

Definition at line 3903 of file mini_d3d12.h.

## BufferStartOffsetInBytes

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE _In_ ID3D12Resource UINT64 ID3D12GraphicsCommandListVtbl::BufferStartOffsetInBytes

Definition at line 3904 of file mini_d3d12.h.

## Flags

_In_ ID3D12Resource _In_ const D3D12_TILED_RESOURCE_COORDINATE _In_ const D3D12_TILE_REGION_SIZE _In_ ID3D12Resource UINT64 D3D12_TILE_COPY_FLAGS ID3D12GraphicsCommandListVtbl::Flags

Definition at line 3905 of file mini_d3d12.h.

## DstSubresource

_In_ ID3D12Resource _In_ UINT ID3D12GraphicsCommandListVtbl::DstSubresource

Definition at line 3910 of file mini_d3d12.h.

## pSrcResource [2/2]

_In_ ID3D12Resource _In_ UINT _In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pSrcResource

Definition at line 3911 of file mini_d3d12.h.

## SrcSubresource

_In_ ID3D12Resource _In_ UINT _In_ ID3D12Resource _In_ UINT ID3D12GraphicsCommandListVtbl::SrcSubresource

Definition at line 3912 of file mini_d3d12.h.

## Format

_In_ ID3D12Resource _In_ UINT _In_ ID3D12Resource _In_ UINT _In_ DXGI_FORMAT ID3D12GraphicsCommandListVtbl::Format

Definition at line 3913 of file mini_d3d12.h.

## PrimitiveTopology

_In_ D3D12_PRIMITIVE_TOPOLOGY ID3D12GraphicsCommandListVtbl::PrimitiveTopology

Definition at line 3917 of file mini_d3d12.h.

## BlendFactor

_In_opt_ const FLOAT ID3D12GraphicsCommandListVtbl::BlendFactor[4]

Definition at line 3931 of file mini_d3d12.h.

## StencilRef

_In_ UINT ID3D12GraphicsCommandListVtbl::StencilRef

Definition at line 3935 of file mini_d3d12.h.

## pPipelineState [2/2]

_In_ ID3D12PipelineState* ID3D12GraphicsCommandListVtbl::pPipelineState

Definition at line 3939 of file mini_d3d12.h.

## NumBarriers

_In_ UINT ID3D12GraphicsCommandListVtbl::NumBarriers

Definition at line 3943 of file mini_d3d12.h.

Referenced by _In_reads_().

## pCommandList

_In_ ID3D12GraphicsCommandList* ID3D12GraphicsCommandListVtbl::pCommandList

Definition at line 3948 of file mini_d3d12.h.

## NumDescriptorHeaps

_In_ UINT ID3D12GraphicsCommandListVtbl::NumDescriptorHeaps

Definition at line 3952 of file mini_d3d12.h.

Referenced by _In_reads_().

## pRootSignature

_In_opt_ ID3D12RootSignature * ID3D12GraphicsCommandListVtbl::pRootSignature

Definition at line 3957 of file mini_d3d12.h.

Referenced by void().

## RootParameterIndex

_In_ UINT ID3D12GraphicsCommandListVtbl::RootParameterIndex

Definition at line 3965 of file mini_d3d12.h.

Referenced by void(), void(), void(), void(), void(), void(), void(), void(), void(), void(), and void().

## BaseDescriptor

_In_ UINT _In_ D3D12_GPU_DESCRIPTOR_HANDLE ID3D12GraphicsCommandListVtbl::BaseDescriptor

Definition at line 3966 of file mini_d3d12.h.

Referenced by void().

## SrcData

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::SrcData

Definition at line 3976 of file mini_d3d12.h.

Referenced by void().

## DestOffsetIn32BitValues

_In_ UINT _In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::DestOffsetIn32BitValues

Definition at line 3977 of file mini_d3d12.h.

Referenced by _In_reads_(), and void().

## Num32BitValuesToSet

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::Num32BitValuesToSet

Definition at line 3988 of file mini_d3d12.h.

Referenced by _In_reads_(), and void().

## BufferLocation

_In_ UINT _In_ D3D12_GPU_VIRTUAL_ADDRESS ID3D12GraphicsCommandListVtbl::BufferLocation

Definition at line 4002 of file mini_d3d12.h.

Referenced by void(), void(), void(), void(), and void().

## pView

_In_opt_ const D3D12_INDEX_BUFFER_VIEW* ID3D12GraphicsCommandListVtbl::pView

Definition at line 4031 of file mini_d3d12.h.

## StartSlot

_In_ UINT ID3D12GraphicsCommandListVtbl::StartSlot

Definition at line 4035 of file mini_d3d12.h.

Referenced by void().

## NumViews

_In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::NumViews

Definition at line 4036 of file mini_d3d12.h.

Referenced by _In_reads_opt_(), _In_reads_opt_(), and void().

## NumRenderTargetDescriptors

_In_ UINT ID3D12GraphicsCommandListVtbl::NumRenderTargetDescriptors

Definition at line 4047 of file mini_d3d12.h.

## pRenderTargetDescriptors

_In_ UINT _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE* ID3D12GraphicsCommandListVtbl::pRenderTargetDescriptors

Definition at line 4048 of file mini_d3d12.h.

## RTsSingleHandleToDescriptorRange

_In_ UINT _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE _In_ BOOL ID3D12GraphicsCommandListVtbl::RTsSingleHandleToDescriptorRange

Definition at line 4049 of file mini_d3d12.h.

## pDepthStencilDescriptor

_In_ UINT _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE _In_ BOOL _In_opt_ const D3D12_CPU_DESCRIPTOR_HANDLE* ID3D12GraphicsCommandListVtbl::pDepthStencilDescriptor

Definition at line 4050 of file mini_d3d12.h.

## DepthStencilView

_In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12GraphicsCommandListVtbl::DepthStencilView

Definition at line 4054 of file mini_d3d12.h.

## ClearFlags

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS ID3D12GraphicsCommandListVtbl::ClearFlags

Definition at line 4055 of file mini_d3d12.h.

## Depth

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT ID3D12GraphicsCommandListVtbl::Depth

Definition at line 4056 of file mini_d3d12.h.

## Stencil

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT _In_ UINT8 ID3D12GraphicsCommandListVtbl::Stencil

Definition at line 4057 of file mini_d3d12.h.

## NumRects [1/4]

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ D3D12_CLEAR_FLAGS _In_ FLOAT _In_ UINT8 _In_ UINT ID3D12GraphicsCommandListVtbl::NumRects

Definition at line 4058 of file mini_d3d12.h.

Referenced by _In_range_(), and _In_reads_().

## RenderTargetView

_In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12GraphicsCommandListVtbl::RenderTargetView

Definition at line 4063 of file mini_d3d12.h.

## ColorRGBA

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ const FLOAT ID3D12GraphicsCommandListVtbl::ColorRGBA[4]

Definition at line 4064 of file mini_d3d12.h.

## NumRects [2/4]

_In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ const FLOAT _In_ UINT ID3D12GraphicsCommandListVtbl::NumRects

Definition at line 4065 of file mini_d3d12.h.

## ViewGPUHandleInCurrentHeap

_In_ D3D12_GPU_DESCRIPTOR_HANDLE ID3D12GraphicsCommandListVtbl::ViewGPUHandleInCurrentHeap

Definition at line 4070 of file mini_d3d12.h.

Referenced by void().

## ViewCPUHandle

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE ID3D12GraphicsCommandListVtbl::ViewCPUHandle

Definition at line 4071 of file mini_d3d12.h.

Referenced by void().

## pResource [1/2]

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource * ID3D12GraphicsCommandListVtbl::pResource

Definition at line 4072 of file mini_d3d12.h.

Referenced by void().

## Values [1/2]

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const UINT ID3D12GraphicsCommandListVtbl::Values[4]

Definition at line 4073 of file mini_d3d12.h.

## NumRects [3/4]

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const UINT _In_ UINT ID3D12GraphicsCommandListVtbl::NumRects

Definition at line 4074 of file mini_d3d12.h.

## Values [2/2]

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const FLOAT ID3D12GraphicsCommandListVtbl::Values[4]

Definition at line 4082 of file mini_d3d12.h.

## NumRects [4/4]

_In_ D3D12_GPU_DESCRIPTOR_HANDLE _In_ D3D12_CPU_DESCRIPTOR_HANDLE _In_ ID3D12Resource _In_ const FLOAT _In_ UINT ID3D12GraphicsCommandListVtbl::NumRects

Definition at line 4083 of file mini_d3d12.h.

## pResource [2/2]

_In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pResource

Definition at line 4088 of file mini_d3d12.h.

## pRegion

_In_ ID3D12Resource _In_opt_ const D3D12_DISCARD_REGION* ID3D12GraphicsCommandListVtbl::pRegion

Definition at line 4089 of file mini_d3d12.h.

## pQueryHeap

_In_ ID3D12QueryHeap * ID3D12GraphicsCommandListVtbl::pQueryHeap

Definition at line 4093 of file mini_d3d12.h.

Referenced by void(), and void().

## Type

_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE ID3D12GraphicsCommandListVtbl::Type

Definition at line 4094 of file mini_d3d12.h.

Referenced by void(), and void().

## Index

_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT ID3D12GraphicsCommandListVtbl::Index

Definition at line 4095 of file mini_d3d12.h.

Referenced by void().

## StartIndex

_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT ID3D12GraphicsCommandListVtbl::StartIndex

Definition at line 4107 of file mini_d3d12.h.

## NumQueries

_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT _In_ UINT ID3D12GraphicsCommandListVtbl::NumQueries

Definition at line 4108 of file mini_d3d12.h.

## pDestinationBuffer

_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT _In_ UINT _In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pDestinationBuffer

Definition at line 4109 of file mini_d3d12.h.

## AlignedDestinationBufferOffset

_In_ ID3D12QueryHeap _In_ D3D12_QUERY_TYPE _In_ UINT _In_ UINT _In_ ID3D12Resource _In_ UINT64 ID3D12GraphicsCommandListVtbl::AlignedDestinationBufferOffset

Definition at line 4110 of file mini_d3d12.h.

## pBuffer [2/2]

_In_opt_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pBuffer

Definition at line 4114 of file mini_d3d12.h.

## AlignedBufferOffset

_In_opt_ ID3D12Resource _In_ UINT64 ID3D12GraphicsCommandListVtbl::AlignedBufferOffset

Definition at line 4115 of file mini_d3d12.h.

## Operation

_In_opt_ ID3D12Resource _In_ UINT64 _In_ D3D12_PREDICATION_OP ID3D12GraphicsCommandListVtbl::Operation

Definition at line 4116 of file mini_d3d12.h.

## Metadata

UINT ID3D12GraphicsCommandListVtbl::Metadata

Definition at line 4120 of file mini_d3d12.h.

Referenced by void().

## Size

UINT UINT ID3D12GraphicsCommandListVtbl::Size

Definition at line 4122 of file mini_d3d12.h.

Referenced by _In_reads_bytes_opt_().

## pCommandSignature

_In_ ID3D12CommandSignature* ID3D12GraphicsCommandListVtbl::pCommandSignature

Definition at line 4135 of file mini_d3d12.h.

## MaxCommandCount

_In_ ID3D12CommandSignature _In_ UINT ID3D12GraphicsCommandListVtbl::MaxCommandCount

Definition at line 4136 of file mini_d3d12.h.

## pArgumentBuffer

_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pArgumentBuffer

Definition at line 4137 of file mini_d3d12.h.

## ArgumentBufferOffset

_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource _In_ UINT64 ID3D12GraphicsCommandListVtbl::ArgumentBufferOffset

Definition at line 4138 of file mini_d3d12.h.

## pCountBuffer

_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource _In_ UINT64 _In_opt_ ID3D12Resource* ID3D12GraphicsCommandListVtbl::pCountBuffer

Definition at line 4139 of file mini_d3d12.h.

## CountBufferOffset

_In_ ID3D12CommandSignature _In_ UINT _In_ ID3D12Resource _In_ UINT64 _In_opt_ ID3D12Resource _In_ UINT64 ID3D12GraphicsCommandListVtbl::CountBufferOffset

Definition at line 4140 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h